FLASH(4)

NAME
flash - device-independent flash layer

SYNOPSIS
#include <sys/flash.h>

DESCRIPTION
The flash driver provides a device-independent interface for using flash memory.

The following ioctl(2) operations are supported on /dev/flash:

FLASH_BLOCK_ISBAD (struct flash_badblock_params)
    This command checks if a block is marked as bad.

FLASH_BLOCK_MARKBAD (struct flash_badblock_params)
    This command marks a block as bad.

FLASH_DUMP (struct flash_dump_params)
    This command dumps a block.

FLASH_ERASE_BLOCK (struct flash_erase_params)
    This command erases one or more blocks.

FLASH_GET_INFO (struct flash_info_params)
    This command acquires information about the flash device.

FILES
/dev/flash

SEE ALSO
flash(9), nand(9)

AUTHORS
Adam Hoka <ahoka@NetBSD.org>